#include <ros/ros.h>
#include <std_msgs/String.h>
#include <stdio.h>

using namespace std;

namespace test_pub {

class ReceiverPrivate;

class Receiver {
public:
  Receiver();
  Receiver(ros::NodeHandle &nh);
  ~Receiver();
  shared_ptr<ReceiverPrivate> m_pHandle;

private:
  /* ROS callback functions */
  void cbHandleReaderOutMsg(const std_msgs::String str);
};

}
