#pragma once

#include <ros/ros.h>
#include <std_msgs/String.h>
#include <stdio.h>

using namespace std;

namespace test_pub {

class SenderPrivate;

class Sender {
public:
  Sender();
  Sender(ros::NodeHandle &nh);
  ~Sender();
  shared_ptr<SenderPrivate> m_pHandle;

  void startSender();
  void run();
};

}

