#include <ros/ros.h>

// google glog
#include <glog/logging.h>

#include "sender.h"

using namespace std;

/************************************************************************/
/************************************************************************/
int main(int argc, char **argv) {
  LOG(INFO) << "in Sender---main";

  // get the node handler
  ros::init(argc, argv, "Sender");
  ros::NodeHandle nh("~");

  // build sender
  test_pub::Sender sender(nh);

  // start Sender
  sender.startSender();
  
  ros::MultiThreadedSpinner spinner(0); // Use $nproc threads  
  spinner.spin(); // spin() will not return until the node has been shutdown  
}